#!/bin/sh

GIT_SERVER=git.pld-linux.org

package=$1
ref=$2

exticode=0

export GIT_DIR=`mktemp -d gitemp.XXXXXX --tmpdir`
(
    set -e
    git init --bare >/dev/null
    git fetch --depth=1 git://${GIT_SERVER}/packages/$package $ref:
    git ls-tree --name-only FETCH_HEAD | grep '.spec$' | while read file; do
        git show FETCH_HEAD:$file > $package || exitcode=1
    done

    # checkout additional file for source/patch-md5
    file=sources
    if git ls-tree --name-only FETCH_HEAD | grep -q ^$file$; then
        git show FETCH_HEAD:$file > $file || exitcode=1
    fi
)
exitcode=$?
rm -rf $GIT_DIR
exit $exitcode
